## netscript-2.4 5.3.0ubuntu1

=== Makefile ===
# Edited for Debian GNU/Linux.
DESTDIR =

#
#  Installation Makefile for netscript-2.4
#
#  This is rude!  FIXME!

ETCDIR=/etc
CONFDIR=$(DESTDIR)$(ETCDIR)/netscript
SBINDIR=$(DESTDIR)/sbin
USRSBINDIR=$(DESTDIR)/usr/sbin
INITDIR=$(DESTDIR)/etc/init.d
PPPETCDIR=$(DESTDIR)/$(ETCDIR)/ppp
PPPUPDIR=$(PPPETCDIR)/ip-up.d
PPPDOWNDIR=$(PPPETCDIR)/ip-down.d
INSTALL=/usr/bin/install

dummy:
	echo "BLeep!"

install: dummy
	- mkdir -p $(SBINDIR)
#	- mkdir -p $(USRSBINDIR)
	- mkdir -p $(UDEVLIBDIR)
	- mkdir -p $(CONFDIR)
	- mkdir -p $(PPPUPDIR)
	- mkdir -p $(PPPDOWNDIR)
	$(INSTALL) -m 755 netscript $(SBINDIR)/netscript
	$(INSTALL) -m 755 wep.conf $(CONFDIR)
	$(INSTALL) -m 644 ipfilter.conf network.conf $(CONFDIR)
	$(INSTALL) -m 644 if.conf qos.conf $(CONFDIR)
	$(INSTALL) -m 644 README.etc $(CONFDIR)/README
	
#	touch $(CONFDIR)/iptables
#	touch $(CONFDIR)/ip6tables
#	chmod 0400 $(CONFDIR)/iptables $(CONFDIR)/ip6tables
	$(INSTALL) -m 755 netscript.ppp.ip-up $(PPPUPDIR)/netscript
	$(INSTALL) -m 755 netscript.ppp.ip-down $(PPPDOWNDIR)/netscript

=== debian/changelog ===
netscript-2.4 (5.3.0ubuntu1) trusty; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - debian/control: add isc-dhcp-client to Depends:
    - debian/rules: reinstate the netscript-2.4-upstart support
    - upstart: start netscript on 'or container', to let us optimize the
      udevtrigger job.

 -- Andy Whitcroft <apw@canonical.com>  Mon, 06 Jan 2014 14:08:24 +0000

netscript-2.4 (5.3.0) unstable; urgency=medium

  * Add full IPv6 filter helper function support
  * Properly update ipfilter.conf
  * Remove netscript-compile functionality and docs.
  * Fix module loading/unloading on restart
  * Commit changelog for 5.3.0
  * Update debian/control with new email address
  * Really update debain/control maintainer
  * Fix lintian warnings.

 -- Matthew Grant <matt@mattgrant.net.nz>  Mon, 06 Jan 2014 13:12:28 +1300

=== debian/control ===
Source: netscript-2.4
Section: net
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Matthew Grant <matt@mattgrant.net.nz>
Standards-Version: 3.9.5
Build-Depends: debhelper (>= 7)

Package: netscript-2.4
Architecture: all
Depends: iproute (>= 20001007), bridge-utils (>= 0.9.3), iptables, netbase, bash (>= 2.03), dhcp3-client | dhcpcd | pump | isc-dhcp-client, ${misc:Depends}
Provides: netscript, ifupdown
Conflicts: netscript, netscript-2.2, ifupdown
Replaces: netscript, ifupdown
Recommends: quagga | radvd
Suggests: whereami, dnsmasq, resolvconf, wpasupplicant, wicd, quagga
Description: Linux 2.4/2.6 router/firewall/VM host network config. system.
 This is a router and firewall network configuration system.  It is specific to
 the 2.4.x and 2.6.x kernel series. This system is in production use, even
 though this is an experimental version.
 .
 It offers much finer grained control of the network setup than the standard
 system in netbase, with support for bridge configuration, iptables, ip route
 and tc traffic control.  It is optimised for use on high traffic routers with
 interfaces being reconfigured individually while the rest of the machine is 
 routing traffic 24x7.  Common boiler plate filter creation functions are 
 provided to ease the task of constructing iptables filters in the context
 of operation within an ISP network.  
 .
 Since this package is designed for a heavy duty network router, it is designed
 to work in conjunction with a routing daemon as found in the quagga package.
 .
 DON'T use this on a pure server - it is VERY useful for a Virtual Machine 
 server with complex networking needs.  This is because of its comprehensive
 network configuration capabilities.  Thus it is a tempting replacement
 when you have to rip out NetworkManager on a server.
 .
 It was originally designed for dedicated routers and firewalls, and hence its
 lightweight scripting footprint. When it comes to firewall configuration 
 though, have a look at the mason package if you are faint of heart.

Package: netscript-2.4-upstart
Architecture: all
Depends: iproute (>= 20001007), bridge-utils (>= 0.9.3), iptables | iptables-router (>= 1.2.3), netbase, bash (>= 2.03), dhcp3-client | dhcpcd | pump | isc-dhcp-client, upstart, ${misc:Depends}
Provides: netscript, ifupdown
Conflicts: netscript, netscript-2.2, ifupdown
Replaces: netscript, netscript-2.4, ifupdown
Recommends: quagga | radvd
Suggests: whereami, dnsmasq, resolvconf, dhclient | pump | dhcpcd, wpasupplicant, wicd, quagga
Description: Linux 2.4/2.6 router/firewall/VM host network config. system.
 This is a router and firewall network configuration system.  It is specific
 to the 2.4.x and 2.6.x kernel series. This system is in production use, even
 though this is an experimental version. This is the version of the package
 to use with the native upstart init program.  Ir replaces ifupdown, and removes
 network-manager as the latters interface control 'greediness' causes lots of
 issues.
 .
 It offers much finer grained control of the network setup than the standard
 system in netbase, with support for bridge configuration, iptables, ip route
 and tc traffic control.  It is optimised for use on high traffic routers with
 interfaces being reconfigured individually while the rest of the machine is 
 routing traffic 24x7.  Common boiler plate filter creation functions are 
 provided to ease the task of constructing iptables filters in the context
 of operation within an ISP network.  
 .
 Since this package is designed for a heavy duty network router, it is designed
 to work in conjunction with a routing daemon as found in the quagga package.
 .
 DON'T use this on a pure server - it is VERY useful for a Virtual Machine 
 server with complex networking needs.  This is because of its comprehensive
 network configuration capabilities.  Thus it is a tempting replacement
 when you have to rip out NetworkManager on a server.
 .
 It was originally designed for dedicated routers and firewalls, and hence its
 lightweight scripting footprint. When it comes to firewall configuration 
 though, have a look at the mason package if you are faint of heart.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

build: build-stamp
build-stamp:
	dh_testdir

	
	# Add here commands to compile the package.
	#$(MAKE)

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp

	# Add here commands to clean up after the build process.
	# -$(MAKE) clean

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs

	# Add here commands to install the package into debian/<package>.
	$(MAKE) install DESTDIR=`pwd`/debian/netscript-2.4
	$(MAKE) install DESTDIR=`pwd`/debian/netscript-2.4-upstart


# Build architecture-independent files here.
binary-indep: DH_OPTIONS=-i
binary-indep: DESTDIR=`pwd`/debian/netscript-2.4
binary-indep: build install
	dh_testdir
	dh_testroot
#	dh_installdebconf	
	dh_installdocs --all
#	dh_installexamples
	dh_installinit --package=netscript-2.4 --name=netscript --no-start -- start 35 0 6 . start 40 S .
	dh_installinit --package=netscript-2.4-upstart --name=netscript --noscripts
	dh_installinit --package=netscript-2.4-upstart --name=netscript-interface --noscripts
	dh_installinit --package=netscript-2.4-upstart --name=netscript-shutdown --noscripts
	dh_installudev --package=netscript-2.4 --name=netscript --priority=85
	dh_installman -A netscript-2.4.conf.5 netscript.8
	dh_lintian
	dh_installchangelogs
	dh_link
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

# Build architecture-dependent files here.
binary-arch: build install
# package is a bunch of shell scripts

binary: binary-indep binary-arch
build-arch:
	true
build-indep:
	true
.PHONY: build clean binary-indep binary-arch binary install

## netscript-2.4 5.4.5

=== debian/changelog ===
netscript-2.4 (5.4.5) unstable; urgency=medium

  * Add dependency for iproute2|iproute (for backport)
    (Closes: #705169)

 -- Matthew Grant <matt@mattgrant.net.nz>  Sat, 19 Jul 2014 16:27:58 +1200

netscript-2.4 (5.4.4) unstable; urgency=medium

  * Fix netscript ifrestart <interface>
  * Add ability to restart radvd/dnsmasq on ifup

 -- Matthew Grant <matt@mattgrant.net.nz>  Sun, 18 May 2014 12:58:13 +1200

netscript-2.4 (5.4.3) unstable; urgency=medium

  * Change back to Architecture: all (Closes: #745597)
  * Add missing conflicts netscript-ipfilter

 -- Matthew Grant <matt@mattgrant.net.nz>  Sun, 11 May 2014 08:42:01 +1200

netscript-2.4 (5.4.2) unstable; urgency=medium

  * Fix netscript-2.4 systemd service file
  * Fix netscript-ipfilter systemd service file - start up order

 -- Matthew Grant <matt@mattgrant.net.nz>  Sun, 13 Apr 2014 13:42:52 +1200

netscript-2.4 (5.4.0) unstable; urgency=medium

  * Remove filters after interface down.
  * Add better support for pppoe and IPv6 sit tunnels
  * Add systemd support - debian rules stuff
  * Change description for netscript-ipfilter
  * Fix dangling manpage symlink in netscript-ipfilter
  * Depend on isc-dhcp-client (Closes: #681252)
  * Fix email address on latest changes.
  * Fix dh_systemd_enable command line switch
  * Add gitignore file
  * Fix effective RUNLVL under systemd
  * Removed kernel module loading code as locked kernel

 -- Matthew Grant <matt@mattgrant.net.nz>  Sat, 12 Apr 2014 12:57:23 +1200

netscript-2.4 (5.3.2) unstable; urgency=medium

  * Updated documentation - copyright, rm stale stuff
  * Initial complete netscript-ipfilter package.

 -- Matthew Grant <matt@mattgrant.net.nz>  Thu, 16 Jan 2014 11:06:07 +1300

netscript-2.4 (5.3.1) unstable; urgency=medium

  * Add NEWS file advising of removal og netscript-compile

 -- Matthew Grant <matt@mattgrant.net.nz>  Tue, 07 Jan 2014 17:58:40 +1300

=== debian/control ===
Source: netscript-2.4
Section: net
Priority: optional
Maintainer: Matthew Grant <matt@mattgrant.net.nz>
Standards-Version: 3.9.5
Build-Depends: debhelper (>= 7), dh-systemd

Package: netscript-2.4
Architecture: all
Depends: iproute2 | iproute (>= 20001007), bridge-utils (>= 0.9.3), iptables, netbase, bash (>= 2.03), isc-dhcp-client | dhcpcd | pump, ${misc:Depends}
Provides: netscript, ifupdown
Conflicts: netscript, netscript-2.2, ifupdown, netscript-ipfilter
Replaces: netscript, ifupdown
Suggests: whereami, dnsmasq, resolvconf, wpasupplicant, wicd, quagga, radvd, bird
Description: Linux 2.4/2.6/3.x router/firewall/VM host network config system.
 This is a router and firewall network configuration system.  It is specific to
 the 2.4.x and 2.6.x kernel series. This system is in production use, even
 though this is an experimental version.
 .
 It offers much finer grained control of the network setup than the standard
 system in netbase, with support for bridge configuration, iptables, ip route
 and tc traffic control.  It is optimised for use on high traffic routers with
 interfaces being reconfigured individually while the rest of the machine is 
 routing traffic 24x7.  Common boiler plate filter creation functions are 
 provided to ease the task of constructing iptables filters in the context
 of operation within an ISP network.  
 .
 Since this package is designed for a heavy duty network router, it is designed
 to work in conjunction with a routing daemon as found in the quagga package.
 .
 DON'T use this on a pure server - it is VERY useful for a Virtual Machine 
 server with complex networking needs.  This is because of its comprehensive
 network configuration capabilities.  Thus it is a tempting replacement
 when you have to rip out NetworkManager on a server.
 .
 It was originally designed for dedicated routers and firewalls, and hence its
 lightweight scripting footprint. When it comes to firewall configuration 
 though, have a look at the mason package if you are faint of heart.

Package: netscript-ipfilter
Architecture: all
Depends: iptables, netbase, bash (>= 2.03), ${misc:Depends}
Provides: netscript-ipfilter
Conflicts: netscript-2.4
Description: Linux 2.6/3.x iptables management system.
 This is a cut down version of netscript-2.4, which is just the ipfilter 
 iptables/ip6tables management implementation.  This provides iptables and
 ip6tables management with a cyclic backup history, via iptables-restore
 and iptables-save.
 .
 This is designed to work with ifupdown, and is better than iptables-persistent
 as you can roll back filter changes if you have made a mistake.

=== debian/rules ===
--- 
+++ 
@@ -33,7 +33,7 @@
 
 	# Add here commands to install the package into debian/<package>.
 	$(MAKE) install DESTDIR=`pwd`/debian/netscript-2.4
-	$(MAKE) install DESTDIR=`pwd`/debian/netscript-2.4-upstart
+	$(MAKE) install-ipfilter DESTDIR=`pwd`/debian/netscript-ipfilter
 
 
 # Build architecture-independent files here.
@@ -45,12 +45,13 @@
 #	dh_installdebconf	
 	dh_installdocs --all
 #	dh_installexamples
+	dh_systemd_enable --package=netscript-2.4 --name=netscript
+	dh_systemd_enable --package=netscript-2.4 --name=netscript\@ --no-enable
+	dh_systemd_enable --package=netscript-ipfilter --name=netscript
 	dh_installinit --package=netscript-2.4 --name=netscript --no-start -- start 35 0 6 . start 40 S .
-	dh_installinit --package=netscript-2.4-upstart --name=netscript --noscripts
-	dh_installinit --package=netscript-2.4-upstart --name=netscript-interface --noscripts
-	dh_installinit --package=netscript-2.4-upstart --name=netscript-shutdown --noscripts
+	dh_installinit --package=netscript-ipfilter --name=netscript --no-start -- start 35 0 6 . start 40 S .
 	dh_installudev --package=netscript-2.4 --name=netscript --priority=85
-	dh_installman -A netscript-2.4.conf.5 netscript.8
+	dh_installman
 	dh_lintian
 	dh_installchangelogs
 	dh_link

## netscript-2.4 5.4.10

=== debian/changelog ===
netscript-2.4 (5.4.10) unstable; urgency=medium

  * Fix /etc/init.d dependency loop with ifupdown (Closes: #717871)
  * Add sysvinit/insserv back in
  * Add /etc/iniserv.conf.d /etc/inserv.conf.d segment to correctly
    set up boot dependencies for above.
  * Update changelog for 5.4.10 release

 -- Matthew Grant <matt@mattgrant.net.nz>  Wed, 28 Jan 2015 22:24:09 +1300

netscript-2.4 (5.4.8) unstable; urgency=medium

  * Remove sysvint/inserv support for package. (Closes: #771871)
    Revert totally removing ifupdown emulation/Provides as this breaks too
    many things.  This just removes the dependency loop in /etc/init.d files 
    which is unfixable.

 -- Matthew Grant <matt@mattgrant.net.nz>  Tue, 23 Dec 2014 17:50:04 +1300

netscript-2.4 (5.4.7) unstable; urgency=medium

  * Convert '-' in interface names to '_' (Closes: #773772)

 -- Matthew Grant <matt@mattgrant.net.nz>  Mon, 22 Dec 2014 21:10:30 +1300

netscript-2.4 (5.4.6) unstable; urgency=medium

  * Remove ifupdown emulation

 -- Matthew Grant <matt@mattgrant.net.nz>  Mon, 22 Dec 2014 19:48:20 +1300

## netscript-2.4 5.4.10ubuntu1

=== debian/changelog ===
netscript-2.4 (5.4.10ubuntu1) wily; urgency=low

  * Merge from Debian unstable (LP: #1486804).  Remaining changes:
    - upstart: rename upstart scripts and install
    - upstart: start netscript on 'or container', to let us optimize the
      udevtrigger job.
    - transitional package for netscripts-2.4-upstart.

 -- Andy Whitcroft <apw@ubuntu.com>  Thu, 20 Aug 2015 03:08:40 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: netscript-2.4
 Section: net
 Priority: optional
-Maintainer: Matthew Grant <matt@mattgrant.net.nz>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Matthew Grant <matt@mattgrant.net.nz>
 Standards-Version: 3.9.5
 Build-Depends: debhelper (>= 7), dh-systemd
 
@@ -10,7 +11,8 @@
 Depends: iproute2 | iproute (>= 20001007), bridge-utils (>= 0.9.3), iptables, netbase, bash (>= 2.03), isc-dhcp-client | dhcpcd | pump, ${misc:Depends}
 Provides: netscript, ifupdown
 Conflicts: netscript, netscript-2.2, ifupdown, netscript-ipfilter
-Replaces: netscript, ifupdown
+Breaks: netscript-2.4-upstart (<< 5.4.10)
+Replaces: netscript-2.4-upstart (<< 5.4.10), netscript, ifupdown
 Suggests: whereami, dnsmasq, resolvconf, wpasupplicant, wicd, quagga, radvd, bird
 Description: Linux 2.4/2.6/3.x router/firewall/VM host network config system.
  This is a router and firewall network configuration system.  It is specific to
@@ -37,6 +39,12 @@
  lightweight scripting footprint. When it comes to firewall configuration 
  though, have a look at the mason package if you are faint of heart.
 
+Package: netscript-2.4-upstart
+Architecture: all
+Depends: netscript-2.4 (>= 5.4.10)
+Description: Transitional package.
+ This package will alays depend on netscript-2.4
+
 Package: netscript-ipfilter
 Architecture: all
 Depends: iptables, netbase, bash (>= 2.03), ${misc:Depends}

## netscript-2.4 5.4.11

=== debian/changelog ===
netscript-2.4 (5.4.11) unstable; urgency=medium

  * Fix iptables filters not bening loaded with kernel versions 4.x - 9.x
  * Update standards version to 3.9.6

 -- Matthew Grant <matt@mattgrant.net.nz>  Sun, 11 Oct 2015 08:06:44 +1300

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,8 @@
 Source: netscript-2.4
 Section: net
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Matthew Grant <matt@mattgrant.net.nz>
-Standards-Version: 3.9.5
+Maintainer: Matthew Grant <matt@mattgrant.net.nz>
+Standards-Version: 3.9.6
 Build-Depends: debhelper (>= 7), dh-systemd
 
 Package: netscript-2.4
@@ -11,8 +10,7 @@
 Depends: iproute2 | iproute (>= 20001007), bridge-utils (>= 0.9.3), iptables, netbase, bash (>= 2.03), isc-dhcp-client | dhcpcd | pump, ${misc:Depends}
 Provides: netscript, ifupdown
 Conflicts: netscript, netscript-2.2, ifupdown, netscript-ipfilter
-Breaks: netscript-2.4-upstart (<< 5.4.10)
-Replaces: netscript-2.4-upstart (<< 5.4.10), netscript, ifupdown
+Replaces: netscript, ifupdown
 Suggests: whereami, dnsmasq, resolvconf, wpasupplicant, wicd, quagga, radvd, bird
 Description: Linux 2.4/2.6/3.x router/firewall/VM host network config system.
  This is a router and firewall network configuration system.  It is specific to
@@ -39,12 +37,6 @@
  lightweight scripting footprint. When it comes to firewall configuration 
  though, have a look at the mason package if you are faint of heart.
 
-Package: netscript-2.4-upstart
-Architecture: all
-Depends: netscript-2.4 (>= 5.4.10)
-Description: Transitional package.
- This package will alays depend on netscript-2.4
-
 Package: netscript-ipfilter
 Architecture: all
 Depends: iptables, netbase, bash (>= 2.03), ${misc:Depends}

## netscript-2.4 5.4.11ubuntu1

=== Makefile ===
--- 
+++ 
@@ -21,7 +21,6 @@
 
 install: dummy
 	- mkdir -p $(SBINDIR)
-#	- mkdir -p $(USRSBINDIR)
 	- mkdir -p $(UDEVLIBDIR)
 	- mkdir -p $(CONFDIR)
 	- mkdir -p $(PPPUPDIR)
@@ -38,3 +37,12 @@
 	$(INSTALL) -m 755 netscript.ppp.ip-up $(PPPUPDIR)/netscript
 	$(INSTALL) -m 755 netscript.ppp.ip-down $(PPPDOWNDIR)/netscript
 
+install-ipfilter: dummy
+	- mkdir -p $(SBINDIR)
+	- mkdir -p $(CONFDIR)
+	$(INSTALL) -m 755 netscript-ipfilter $(SBINDIR)/netscript
+	$(INSTALL) -m 644 network-ipfilter.conf $(CONFDIR)/network.conf
+	$(INSTALL) -m 644 ipfilter.conf $(CONFDIR)
+	$(INSTALL) -m 644 README.etc $(CONFDIR)/README
+
+

=== debian/changelog ===
netscript-2.4 (5.4.11ubuntu1) xenial; urgency=low

  * Merge from Debian unstable (LP: #1523653).  Remaining changes:
    - upstart: rename upstart scripts and install
    - upstart: start netscript on 'or container', to let us optimize the
      udevtrigger job.
    - transitional package for netscripts-2.4-upstart.

 -- Andy Whitcroft <apw@ubuntu.com>  Mon, 07 Dec 2015 20:01:40 +0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: netscript-2.4
 Section: net
 Priority: optional
-Maintainer: Matthew Grant <matt@mattgrant.net.nz>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Matthew Grant <matt@mattgrant.net.nz>
 Standards-Version: 3.9.6
 Build-Depends: debhelper (>= 7), dh-systemd
 
@@ -10,7 +11,8 @@
 Depends: iproute2 | iproute (>= 20001007), bridge-utils (>= 0.9.3), iptables, netbase, bash (>= 2.03), isc-dhcp-client | dhcpcd | pump, ${misc:Depends}
 Provides: netscript, ifupdown
 Conflicts: netscript, netscript-2.2, ifupdown, netscript-ipfilter
-Replaces: netscript, ifupdown
+Breaks: netscript-2.4-upstart (<< 5.4.10)
+Replaces: netscript-2.4-upstart (<< 5.4.10), netscript, ifupdown
 Suggests: whereami, dnsmasq, resolvconf, wpasupplicant, wicd, quagga, radvd, bird
 Description: Linux 2.4/2.6/3.x router/firewall/VM host network config system.
  This is a router and firewall network configuration system.  It is specific to
@@ -37,6 +39,12 @@
  lightweight scripting footprint. When it comes to firewall configuration 
  though, have a look at the mason package if you are faint of heart.
 
+Package: netscript-2.4-upstart
+Architecture: all
+Depends: netscript-2.4 (>= 5.4.10)
+Description: Transitional package.
+ This package will alays depend on netscript-2.4
+
 Package: netscript-ipfilter
 Architecture: all
 Depends: iptables, netbase, bash (>= 2.03), ${misc:Depends}

=== debian/rules ===
--- 
+++ 
@@ -49,9 +49,14 @@
 	dh_systemd_enable --package=netscript-2.4 --name=netscript\@ --no-enable
 	dh_systemd_enable --package=netscript-ipfilter --name=netscript
 	dh_installinit --package=netscript-2.4 --name=netscript --no-start -- start 35 0 6 . start 40 S .
+	dh_installinit --package=netscript-2.4 --name=netscript-interface --noscripts
+	dh_installinit --package=netscript-2.4 --name=netscript-shutdown --noscripts
 	dh_installinit --package=netscript-ipfilter --name=netscript --no-start -- start 35 0 6 . start 40 S .
 	dh_installudev --package=netscript-2.4 --name=netscript --priority=85
 	dh_installman
+	# Fix insserv $network issues
+	install -d debian/netscript-2.4/etc/insserv.conf.d
+	install -m 00644 debian/netscript-2.4.insserv debian/netscript-2.4/etc/insserv.conf.d/netscript
 	dh_lintian
 	dh_installchangelogs
 	dh_link

## netscript-2.4 5.5.0

=== debian/changelog ===
netscript-2.4 (5.5.0) unstable; urgency=medium

  * Add /etc/netscript/network.conf.d
  * Add proper systemd support, and fixes
  * Update changelog for 5.4.12~2.gbp2c652b release
  * Update gbp.conf
  * Convert ifupdown hotplug script for netscript
  * Update changelog for 5.4.12~3.gbp183f7f release
  * Add depends on lsb-base for init scripts
  * Update changelog for 5.4.12~4.gbp7a776d release
  * Update debhelper to v6 and deb standards to 3.9.8
  * Update changelog for 5.4.12~5.gbpa05941 release
  * Update debhelper compat version to 10.
  * Update changelog for 5.4.12~6.gbpe6fab5 release
  * Fix network.conf.d include line in network.conf
  * Convert inbrdr outbrdr to use ICMP RETURN chain.
  * Update changelog for 5.4.12~7.gbpd5fe80 release
  * Update changelog for 5.4.12~8.gbp323004 release
  * Add IPV6 DAD wait address settle time on boot.
  * Fix one line type in ipf6_icmphost exec function.
  * Make Interface functions handle - in dev names
  * Fix icmpv6 protocol psecfication in outbrdr
  * More IPv6 CIMP filter fixes for inbrdr and outbrdr
  * Fix IPv6 ipf6_log() icmpv6 rule
  * Update changelog for 5.4.12~15.gbpc73267 release

 -- Matthew Grant <matt@mattgrant.net.nz>  Thu, 15 Dec 2016 23:13:59 +1300

## netscript-2.4 5.5.1

=== debian/changelog ===
netscript-2.4 (5.5.1) unstable; urgency=medium

  * Don't hotplug bridges.  Works around a kernel race.
  * Add note to not default disable IPv6 for Openstack.

 -- Matthew Grant <matt@mattgrant.net.nz>  Tue, 27 Dec 2016 11:12:09 +1300

=== debian/control ===
--- 
+++ 
@@ -1,18 +1,16 @@
 Source: netscript-2.4
 Section: net
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Matthew Grant <matt@mattgrant.net.nz>
-Standards-Version: 3.9.6
-Build-Depends: debhelper (>= 7), dh-systemd
+Maintainer: Matthew Grant <matt@mattgrant.net.nz>
+Standards-Version: 3.9.8
+Build-Depends: debhelper (>= 10), dh-systemd
 
 Package: netscript-2.4
 Architecture: all
-Depends: iproute2 | iproute (>= 20001007), bridge-utils (>= 0.9.3), iptables, netbase, bash (>= 2.03), isc-dhcp-client | dhcpcd | pump, ${misc:Depends}
+Depends: iproute2 | iproute (>= 20001007), bridge-utils (>= 0.9.3), iptables, netbase, bash (>= 2.03), isc-dhcp-client | dhcpcd | pump, lsb-base, ${misc:Depends}
 Provides: netscript, ifupdown
 Conflicts: netscript, netscript-2.2, ifupdown, netscript-ipfilter
-Breaks: netscript-2.4-upstart (<< 5.4.10)
-Replaces: netscript-2.4-upstart (<< 5.4.10), netscript, ifupdown
+Replaces: netscript, ifupdown
 Suggests: whereami, dnsmasq, resolvconf, wpasupplicant, wicd, quagga, radvd, bird
 Description: Linux 2.4/2.6/3.x router/firewall/VM host network config system.
  This is a router and firewall network configuration system.  It is specific to
@@ -39,15 +37,9 @@
  lightweight scripting footprint. When it comes to firewall configuration 
  though, have a look at the mason package if you are faint of heart.
 
-Package: netscript-2.4-upstart
-Architecture: all
-Depends: netscript-2.4 (>= 5.4.10)
-Description: Transitional package.
- This package will alays depend on netscript-2.4
-
 Package: netscript-ipfilter
 Architecture: all
-Depends: iptables, netbase, bash (>= 2.03), ${misc:Depends}
+Depends: iptables, netbase, bash (>= 2.03), lsb-base, ${misc:Depends}
 Provides: netscript-ipfilter
 Conflicts: netscript-2.4
 Description: Linux 2.6/3.x iptables management system.

## netscript-2.4 5.5.2

=== debian/changelog ===
netscript-2.4 (5.5.2) unstable; urgency=medium

  * Fix sub-string interface name clashes.

 -- Matthew Grant <matt@mattgrant.net.nz>  Sat, 08 Jul 2017 10:57:38 +1200

## netscript-2.4 5.5.3

=== Makefile ===
--- 
+++ 
@@ -8,12 +8,14 @@
 
 ETCDIR=/etc
 CONFDIR=$(DESTDIR)$(ETCDIR)/netscript
+NCONFDIR=$(CONFDIR)/network.conf.d
 SBINDIR=$(DESTDIR)/sbin
 USRSBINDIR=$(DESTDIR)/usr/sbin
 INITDIR=$(DESTDIR)/etc/init.d
 PPPETCDIR=$(DESTDIR)/$(ETCDIR)/ppp
 PPPUPDIR=$(PPPETCDIR)/ip-up.d
 PPPDOWNDIR=$(PPPETCDIR)/ip-down.d
+UDEVLIBDIR=$(DESTDIR)/lib/udev
 INSTALL=/usr/bin/install
 
 dummy:
@@ -23,13 +25,17 @@
 	- mkdir -p $(SBINDIR)
 	- mkdir -p $(UDEVLIBDIR)
 	- mkdir -p $(CONFDIR)
+	- mkdir -p $(NCONFDIR)
 	- mkdir -p $(PPPUPDIR)
 	- mkdir -p $(PPPDOWNDIR)
+	- mkdir -p $(UDEVLIBDIR)
 	$(INSTALL) -m 755 netscript $(SBINDIR)/netscript
 	$(INSTALL) -m 755 wep.conf $(CONFDIR)
 	$(INSTALL) -m 644 ipfilter.conf network.conf $(CONFDIR)
+	$(INSTALL) -m 644 network.conf.d.00default-eth0-dhcp.conf $(NCONFDIR)/00default-eth0-dhcp.conf
 	$(INSTALL) -m 644 if.conf qos.conf $(CONFDIR)
 	$(INSTALL) -m 644 README.etc $(CONFDIR)/README
+	$(INSTALL) -m 755 netscript-hotplug $(UDEVLIBDIR)/netscript-hotplug
 	
 #	touch $(CONFDIR)/iptables
 #	touch $(CONFDIR)/ip6tables

=== debian/changelog ===
netscript-2.4 (5.5.3) unstable; urgency=medium

  * Depend on iproute2, not iproute (Closes: #753714)
  * Bump standards version to 4.1.3
  * Remove obsolete Build-Dep on dh-systemd

 -- Matthew Grant <matt@mattgrant.net.nz>  Thu, 18 Jan 2018 22:23:55 +1300

=== debian/control ===
--- 
+++ 
@@ -2,12 +2,12 @@
 Section: net
 Priority: optional
 Maintainer: Matthew Grant <matt@mattgrant.net.nz>
-Standards-Version: 3.9.8
-Build-Depends: debhelper (>= 10), dh-systemd
+Standards-Version: 4.1.3
+Build-Depends: debhelper (>= 10)
 
 Package: netscript-2.4
 Architecture: all
-Depends: iproute2 | iproute (>= 20001007), bridge-utils (>= 0.9.3), iptables, netbase, bash (>= 2.03), isc-dhcp-client | dhcpcd | pump, lsb-base, ${misc:Depends}
+Depends: iproute2, bridge-utils (>= 0.9.3), iptables, netbase, bash (>= 2.03), isc-dhcp-client | dhcpcd | pump, lsb-base, ${misc:Depends}
 Provides: netscript, ifupdown
 Conflicts: netscript, netscript-2.2, ifupdown, netscript-ipfilter
 Replaces: netscript, ifupdown

=== debian/rules ===
--- 
+++ 
@@ -49,8 +49,6 @@
 	dh_systemd_enable --package=netscript-2.4 --name=netscript\@ --no-enable
 	dh_systemd_enable --package=netscript-ipfilter --name=netscript
 	dh_installinit --package=netscript-2.4 --name=netscript --no-start -- start 35 0 6 . start 40 S .
-	dh_installinit --package=netscript-2.4 --name=netscript-interface --noscripts
-	dh_installinit --package=netscript-2.4 --name=netscript-shutdown --noscripts
 	dh_installinit --package=netscript-ipfilter --name=netscript --no-start -- start 35 0 6 . start 40 S .
 	dh_installudev --package=netscript-2.4 --name=netscript --priority=85
 	dh_installman

## netscript-2.4 5.5.5

=== debian/changelog ===
netscript-2.4 (5.5.5) unstable; urgency=medium

  * Source only upload.

 -- Matthew Grant <matt@mattgrant.net.nz>  Wed, 23 Sep 2020 11:21:08 +1200

netscript-2.4 (5.5.4) unstable; urgency=medium

  * Depend on dhcpcd5 to allow installation with renamed DHCP server
    package.

 -- Matthew Grant <matt@mattgrant.net.nz>  Wed, 16 Sep 2020 13:04:31 +1200

=== debian/rules ===
--- 
+++ 
@@ -19,6 +19,7 @@
 	dh_testdir
 	dh_testroot
 	rm -f build-stamp
+	-rm -rf debian/.debhelper 
 
 	# Add here commands to clean up after the build process.
 	# -$(MAKE) clean

## netscript-2.4 5.5.5+nmu1

=== debian/changelog ===
netscript-2.4 (5.5.5+nmu1) unstable; urgency=medium

  * Non-maintainer upload.
  * No source change upload to rebuild with debhelper 13.10.

 -- Michael Biebl <biebl@debian.org>  Sat, 15 Oct 2022 12:26:24 +0200

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 
 Package: netscript-2.4
 Architecture: all
-Depends: iproute2, bridge-utils (>= 0.9.3), iptables, netbase, bash (>= 2.03), isc-dhcp-client | dhcpcd | pump, lsb-base, ${misc:Depends}
+Depends: iproute2, bridge-utils (>= 0.9.3), iptables, netbase, bash (>= 2.03), isc-dhcp-client | dhcpcd | dhcpcd5 | pump, lsb-base, ${misc:Depends}
 Provides: netscript, ifupdown
 Conflicts: netscript, netscript-2.2, ifupdown, netscript-ipfilter
 Replaces: netscript, ifupdown

## netscript-2.4 5.5.5+nmu2

=== debian/changelog ===
netscript-2.4 (5.5.5+nmu2) unstable; urgency=medium

  * Non-maintainer upload.

  [ Helmut Grohne ]
  * DEP17: Move files to /usr. (Closes: #1064237)

 -- Chris Hofstaedtler <zeha@debian.org>  Sat, 25 May 2024 22:39:19 +0200

## netscript-2.4 5.5.5+nmu3

=== debian/changelog ===
netscript-2.4 (5.5.5+nmu3) unstable; urgency=medium

  * Non-maintainer upload.
  * Convert to source format 3.0. (Closes: #1072886)
  * Drop unnecessary Depends: lsb-base.
  * d/copyright: Convert to machine-readable format.
  * Drop old lintian overrides.
  * Drop old netscript-2.4-upstart files.
  * Use the /usr path prefix in the package scripts.

 -- Bastian Germann <bage@debian.org>  Tue, 09 Jul 2024 12:52:45 +0200

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 
 Package: netscript-2.4
 Architecture: all
-Depends: iproute2, bridge-utils (>= 0.9.3), iptables, netbase, bash (>= 2.03), isc-dhcp-client | dhcpcd | dhcpcd5 | pump, lsb-base, ${misc:Depends}
+Depends: iproute2, bridge-utils (>= 0.9.3), iptables, netbase, bash (>= 2.03), isc-dhcp-client | dhcpcd | dhcpcd5 | pump, ${misc:Depends}
 Provides: netscript, ifupdown
 Conflicts: netscript, netscript-2.2, ifupdown, netscript-ipfilter
 Replaces: netscript, ifupdown
@@ -39,7 +39,7 @@
 
 Package: netscript-ipfilter
 Architecture: all
-Depends: iptables, netbase, bash (>= 2.03), lsb-base, ${misc:Depends}
+Depends: iptables, netbase, bash (>= 2.03), ${misc:Depends}
 Provides: netscript-ipfilter
 Conflicts: netscript-2.4
 Description: Linux 2.6/3.x iptables management system.

=== debian/rules ===
--- 
+++ 
@@ -33,8 +33,8 @@
 	dh_installdirs
 
 	# Add here commands to install the package into debian/<package>.
-	$(MAKE) install DESTDIR=`pwd`/debian/netscript-2.4
-	$(MAKE) install-ipfilter DESTDIR=`pwd`/debian/netscript-ipfilter
+	$(MAKE) install DESTDIR=`pwd`/debian/netscript-2.4 SBINDIR='$$(DESTDIR)/usr/sbin' UDEVLIBDIR='$$(DESTDIR)/usr/lib/udev'
+	$(MAKE) install-ipfilter DESTDIR=`pwd`/debian/netscript-ipfilter SBINDIR='$$(DESTDIR)/usr/sbin' UDEVLIBDIR='$$(DESTDIR)/usr/lib/udev'
 
 
 # Build architecture-independent files here.

## netscript-2.4 5.5.5+nmu3build1

=== debian/changelog ===
netscript-2.4 (5.5.5+nmu3build1) resolute; urgency=medium

  * No-change mass rebuild for Ubuntu 26.04 (LP: #2132257)

 -- Graham Inggs <ginggs@ubuntu.com>  Mon, 26 Jan 2026 20:03:43 +0000
